Main

Connecting Sockets Help

Welcome to the Connecting Sockets help file.

Connecting Sockets (CSockets) is a Windows© 9x/ME/2000/NT program which uses the winsock to make connections to a user specified server and port and exchange text commands. CSockets can also create a listening socket at a user specific port and accepts clients.

Futhermore CSockets can check a server and see which ports are open.

For more information, click the topic you want to read more about or select a topic in the left pane.


User interface

Below you can see the interface of CSockets.
Click on a element in the picture to get more information about its function.

Or select a topic below.


Menubar

Some of the menuitems can also be accessed by the toolbar.

Below you will find a list of all the items in the menu.

File |  |
 | Exit | Exits the program
Edit |  |
 | Cut | Cut the selected text and put it onto the clipboard
 | Copy | Copy the selected text to the clipboard
 | Paste | Paste the text from the clipboard
Client/Server |  | Depends if you have a client or a server as foreground window
 | Clear log | Clear the log area
 | Save log | Saves the contents of the logarea of the active window. The text can be saved as a text file or as a RTF (Rich Text Format) file. If you choice the later, your colors will be saved, so it will be easier to see the type of the message.
 | Print log | Print the contents of the logarea.
 | Clear history | Clear the history kept by the server, port, send comboboxes.
 | Send CRLF | Indicate if you want to send text with carriage return linefeed (character 10 and character 13).
Sockets |  |
 | New Client | Start a new client
 | New Server | Start a new server
 | Port Scanner | Start a new Port Scanner
 | Legend | Display the legend. Check again to disable
Window |  |
 | Cascade | Cascade all the windows
 | Tile Horizontal | Tile all the windows horizontal
 | Tile Vertical | Tile all the windows vertical
 | Minimize all | Minimize all windows
 | Arrange Icons | Arrange the icons
Help |  |
 | Contents | Displays this helpfile
 | About | Shows aboutbox and registration window


Toolbar

By clicking on the toolbar, you can easily startup a client, server or port scanner resp.

Also you can cut, copy and paste data from/to the clipboard and arrange the windows in the workarea.


Workarea

The workarea is the place where all the windows will be shown. If you start a new client, server or portscanner, its window will appear here. To organize the windows you can use the commands from the Window menu.

The statusbar will show the tooltip information when available.


Client

With a client you can connect to a server and exchange messages.

Type the name of the server in the server textbox and give the portnumber you wish to connect to. Press enter or click on Connect to make a connection.

All messages sent and received are logged in the window Received. By using special colors you can see what type of text is showed in the log window. Text received from a server (inbound) is shown in black, text sent to a server (outbound) is shown in green. Status messages received from the socket (like connecting info) can be seen in blue text. When there is an error it will show up red. To see a legend press F9 or select from the menu Sockets the item Legend.

To send text to a server you type the message in the combobox next to the Send button. Press enter (or click on the Send button) to transmit the message to the server. The text will appear in the log window. By using the combobox you can select earlier sent messages and transmit these again.

If you want to transmit a large amount of data at once, you can enter it in (or copy it to) the clipboard and send it using the paste button. The commands sent will show up in de Send history.

With the Disconnect button you can disconnect the client.

There are some special commands you can use if you click with the right mousebutton on the client window. There will be a popupmenu like shown below.

By selecting Clear history you can remove the previous given send items, servers and ports. With Send CRLF you can indicate if you want to send text with carriage return linefeed (character 10 and character 13). Usually you will need this and it is selected by default.

If you click on the log window with the right mousebutton a different popupmenu will be shown.

Here you can clear the log (Clear log), save the log, print the log contents (Print log), copy a selected part of the log contents (Copy) or select all the text and copy it to the clipboard (Select & Copy)

These commands can also be accessed by using the menuitem client in the menubar.

When you select Save log, you will get a dialog asking for a filename and the type of the file. By using RTF (RichTextFormat) you can also save the colors used in the log. By saving the file as TXT (Text) you will lose this layout. RTF files can be opened in most word processors.

For examples, click on a topic below:

port 25, SMTP Send an email
port 110, POP3 Check for email


Port 110; POP3

POP3 (Post Office Protocol 3) is the most used protocol for receiving mail. You cannot send mail with this protocol, only get your mail. For more information see the RFC 1460.

First start a new client. This can be done by clicking on the client button or selecting Sockets and New Client.

Create a connection to your mailserver. Use your providers pop server. Usually this is pop.myprovider.com and connect to port 110. The popserver will respond with a +OK. Now enter USER username, where username is your pop3 username. Then give PASS password. The mailserver will indicate if you are allowed to log in.

When you are logged in, type STAT. The popserver returns the number of messages you have. To get the first message type RETR 1. The message will be send to you, but also stays on the server. To delete a message from the server use DELE 1. This will only be effective when you end your session with QUIT.

Below is an example. S is the server, C is the client.

S: +OK POP3 server ready
C: USER mrose
S: +OK Give password
C: PASS tgwt2
S: +OK mrose's maildrop has 2 messages (320 octets)
C: STAT
S: +OK 2 320
C: RETR 1
S: +OK 120 octets
S: (the POP3 server sends message 1)
S: .
C: DELE 1
S: +OK message 1 deleted
C: RETR 2
S: +OK 200 octets
S: (the POP3 server sends message 2)
S: .
C: DELE 2
S: +OK message 2 deleted
C: QUIT
S: +OK dewey POP3 server signing off (maildrop empty)


Port 25; SMTP

Port 25 is used for SMTP. It stands for Simple Mail Transfer Protocol. With this protocol you can send email. The commands you can use can be found in RFC 821. In this example we are going to send an email.

First start a new client. This can be done by clicking on the client button or selecting Sockets and New Client.

Type the name of your mail server in the textbox behind server. This will be something like mail.myprovider.com. In the textbox port, type 25 and press return or click on Connect.

In the received area you can see if the connection is successful. When it is, type first a HELO computername. Where computername is the name of your computer or type something else. The mailserver will send you a response.

Then type MAIL FROM:<emailaddress> You will get a 220 OK back. Type RCPT TO:<emailaddress> where emailaddress is the emailaddress of the person you want to send mail to. When you get an OK signal back, type DATA At this point you can enter your mail message. When you are ready, give a return followed by a . (point) and give a second return. This indicates the end of the message. To close the connection type QUIT.

A typical transaction is listed below. S is the server and C is the client.

S: 220 BBN-UNIX.ARPA Simple Mail Transfer Service Ready
C: HELO USC-ISIF.ARPA
S: 250 BBN-UNIX.ARPA
C: MAIL FROM:<Smith@USC-ISIF.ARPA>
S: 250 OK
C: RCPT TO:<Jones@BBN-UNIX.ARPA>
S: 250 OK
C: RCPT TO:<Green@BBN-UNIX.ARPA>
S: 550 No such user here
C: RCPT TO:<Brown@BBN-UNIX.ARPA>
S: 250 OK
C: DATA
S: 354 Start mail input; end with .
C: Blah blah blah...
C: ...etc. etc. etc.
C: .
S: 250 OK
C: QUIT
S: 221 BBN-UNIX.ARPA Service closing transmission channel


Server

A server allows you to setup a listening socket and accept connections from clients.

This can be handy if you want to test your client software. First you choose a port you want to be opened to accept connections. In the sample below port 100 has been chosen. Your clients can now connect to this server. They are accepted automatically and information about them will be listed in the listbox. Text sent from the client will be displayed in the communications box and in the column last message in.

To send a message to a client, click on its number in the list and type the message to send in the combobox next to the Send button. To send a message to multiple clients you have to select those client by using the shift and mousebuttons. The message will be displayed in the last message out column.

If you want to transmit a large amount of data at once, you can enter it in (or copy it to) the clipboard and send it using the paste button. The commands sent will show up in de Send history.

You can disconnect a client by clicking on its number and selecting Disconnect. Close closes the listening port and Clear clears the textarea's.

There are some special commands you can use if you click with the right mousebutton on the client window. There will be a popupmenu like shown below.

By selecting Clear history you can remove the previous given send items, servers and ports. With Send CRLF you can indicate if you want to send text with carriage return linefeed (character 10 and character 13). Usually you will need this and it is selected by default.

If you click on the log window with the right mousebutton a different popupmenu will be shown.

Here you can clear the log (Clear log), save the log, print the log contents (Print log), copy a selected part of the log contents (Copy) or select all the text and copy it to the clipboard (Select & Copy)

These commands can also be accessed by using the menuitem server in the menubar.

When you select Save log, you will get a dialog asking for a filename and the type of the file. By using RTF (RichTextFormat) you can also save the colors used in the log. By saving the file as TXT (Text) you will lose this layout. RTF files can be opened in most word processors.


Portscanner

With the Port Scanner you can check which ports are opened at a server. Type the name of the server in the combobox and press Start. It will check if the following ports are opened; 7, 21, 23, 25, 53, 70, 79, 80, 109, 110, 119, 135, 143, 194.

You can also indicate if you want to check a range of ports. First select Range of ports and fill in the start and end portnumber.

In the result list you will find the status of the checked ports. If a port is familiar, their will be a description present (like port 21 for FTP).

Remark: Since there are a many problems which can occur during the connection to a socket, this method for checking the services of a host is not failproof.

Ports


Legend

The Legend window will show you the colors used in the logarea.

All messages sent and received are logged in a special field. By using special colors you can see what type of text is showed. Text received from a server (inbound) is shown in black, text sent to a server (outbound) is shown in green. Status messages received from the socket (like connecting info) can be seen in blue text. When there is an error it will show up red.

To see the Legend window press F9 or select from the menu Sockets the item Legend.


Ports

In addition to the IP address of the remote system, an application also needs to know how to address the specific program that it wishes to communicate with. This is accomplished by specifying a service port, a 16-bit number that uniquely identifies an application running on the system. Instead of numbers, however, service names are usually used instead. Like hostnames, service names are usually matched to port numbers through a local file, commonly called services. This file lists the logical service name, followed by the port number and protocol used by the server

A number of standard service names are used by Internet-based applications and these are referred to as well-known services. These services are defined by a standards document and include common application protocols such as FTP, POP3, SMTP and HTTP.

Remember that a service name or port number is a way to address an application running on a remote host. Because a particular service name is used, it doesn’t guarantee that the service is available, just as dialing a telephone number doesn’t guarantee that there is someone at home to answer the call.

(Source: SocketWrench Custom Control User’s Guide and Technical Reference, Copyright 1995-1998, Catalyst Development Corporation.)

Below is a description of some well-known services

Internet Service | Port | Description | Location
Mail (send) | 25 | Simple Mail Transfer Protocol | RFC 821
POP3 (receive) | 110 | Post Office Protocol 3 | RFC 1460
Usenet | 119 | Network News Transmission Protocol | RFC 977
World Wide Web (HTML) | 80 | Hypertext Transfer Protocol | RFC 2068
Gopher | 70 | Internet Gopher Protocol | RFC 1436
Telnet | 23 | Telnet Protocol specification | RFC 854
Chat | 194 | Internet Relay Chat | RFC 1459
Finger | 79 | Finger User Information Protocol | RFC 1288
FTP | 21 | File Transfer Protocol | RFC 959

RFC (Request for Comments) can be found at http://www.rfc-editor.org/


iego development

iego development develops various software for the Windows 9x/ME/2000/NT market. We also design websites and webapplications. This includes the use of ASP and PHP to connect databases to the web and create server side applications. For more information visit our website. Here you can find everything about our activities, programs and contactinformation.


Registration

Connecting Sockets is a shareware program. This means that you can try the product before buying it. However, to encourage you to buy the product some functions have been disabled or limited. The following list describes to limitations of the shareware version:

  • Save to Rich Text Format is not allowed. You can save to text format.

  • Printing is not allowed.
  • Server is limited to maximal three client connections.
  • Port scanner only scans standard ports. Registered version allows a range of ports to be scanned.
  • A nag screen appears when the program is started for a few seconds.

With a registered version you can fully use this program. When you register you will get a key. This key and you name and companyname can be entered in the registration form. This form can be found when you start the Aboutbox (menu Help > About) and press on the Register button. Fill in the required fields with the exact information you have received and click on Register. If you have correctly entered your information your program will be registered and you can use all the functions of the program. Please remember that the information you have to enter is case sensitive.

Order information for Connecting Sockets

If you would like to purchase a license for Connecting Sockets, you can order on-line at:
https://secure.element5.com/register.html?productid=137946&language=English
Here you can also see the latest price in Euro and Dollars.

Or you can go to http://www.shareit.com and enter the program ID number 137946 in the search window at the bottom left of the screen. We also accept orders via email at: register@shareit.com. If you are not yet on-line, you can place your order with our customer service team by phone, fax or postal mail.

Please print out the following form, and fax or mail it to:

ShareIt!
element 5 AG
Vogelsanger Str. 78
50823 Cologne
Germany

Phone: +49 - 221 - 31088-20
Fax: +49 - 221 - 31088-29

E-Mail: register@shareit.com

US and Canadian customers may also order by calling toll-free 1-800-903-4152. This hotline is only for ordering. Shareit cannot provide any technical assistance or technical information about the program. You must contact iego development directly for technical support at: support@iego-development.nl

US check and cash orders can be sent to our US office at:

ShareIt! Inc.
P.O. Box 844
Greensburg, PA 15601, USA
Phone: (724) 850 - 8186
Fax: (724) 850 - 8187

*** ALL CHECKS SENT TO THE U.S. OFFICE MUST BE MADE PAYABLE TO: "ShareIt! Inc." ***

Registration Form for Connecting Sockets

How would you like to receive the registration key/full version?
e-mail - fax - postal mail

How would you like to pay the registration fee:

credit card - wire transfer - check - cash

Credit Card Information (if applicable)

Credit Cards: Visa - Eurocard/Mastercard - American Express - Diners Club

Card Holder: ________________________________

Card No.: ___________________________________

Expiration Date: ________

Date / Signature: ___________________________